Package Details: caffeine-ng 3.4.2-2

Git Clone URL: https://aur.archlinux.org/caffeine-ng.git (read-only)
Package Base: caffeine-ng
Description: Status bar application able to temporarily inhibit the screensaver and sleep mode.
Upstream URL: https://github.com/caffeine-ng/caffeine-ng
Keywords: caffeine powersaving screensaver
Licenses: GPL3
Conflicts: caffeine, caffeine-bzr, caffeine-oneclick, caffeine-systray
Provides: caffeine, caffeine-bzr, caffeine-oneclick, caffeine-systray
Replaces: caffeine-oneclick, caffeine-systray
Submitter: WhyNotHugo
Maintainer: WhyNotHugo
Last Packager: WhyNotHugo
Votes: 100
Popularity: 0.425156
First Submitted: 2014-10-19 05:26
Last Updated: 2018-08-06 20:34

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

Dawa commented on 2016-08-18 11:14

@hobarrera Sorry about the confusion. I'll be sure to specify my distro in the future. python-xlib has been updated by Manjaro and caffeine-ng is now running perfectly. Thanks!

@PhotonX python-xlib is in the Manjaro stable repos now and caffeine-ng works for me.

PhotonX commented on 2016-08-17 15:36

I think, python-xlib will reenter Manjaro's stable repos soon, at least it is already present in testing. I switched to caffeine-systray till then (though it has some other problems, so it is only a temporary solution).

PhotonX commented on 2016-08-15 05:36

@Dawa: Please post a link to the forum thread, if you ask on the Manjaro forums, so I can also follow the discussion. At the same time I flagged python-xlib-git out of date, hope to get the maintainers attention.

WhyNotHugo commented on 2016-08-14 20:10

Please DO clarify that you're NOT using Arch next time.

The AUR package for python-xlib was out-of-date and conflicting with one on [community] since about a week ago. I'd suggest you manually build the one from the Arch repos as a workaround until Manjaro picks it up:

https://git.archlinux.org/svntogit/community.git/tree/trunk?h=packages/python-xlib

(this should be just as simple as building from AUR).

Dawa commented on 2016-08-14 19:32

@hobarrera - the python command you suggested runs without error. I am running Manjaro though and am probably running into the problem PhotonX suggested. I'll go to the Manjaro forums and ask them what they're doing with python-xlib.

PhotonX commented on 2016-08-14 09:04

I also stumbled upon this problem on a Manjaro machine. There it seems like python-xlib has disappeared from the repos (it is installed locally but not available for installation any more), only python2-xlib is available. However, python-xlib-git exists in the AUR which, however, fails to build. So I see two options for further digging: Ask the Manjaro devs what happened with python-xlib or wait for a fix for python-xlib-git in the AUR.

WhyNotHugo commented on 2016-08-14 05:00

@Dawa. Not sure why python-ewmh is not working for you. Does "python -c "import ewmh"" also fail for you? If so, there's something broken with your python-xlib/python-ewmh installtion, but I'm not sure that (note that the error is not in caffeine-ng itself, rather ewmh).

Dawa commented on 2016-08-13 08:34

@hobarrera python-ewmh and python-xlib are both installed and are the latest versions from AUR.
I tried uninstalling python-xlib/ewmh and caffeine-ng, then reinstalling all three. I still get the same error message.

WhyNotHugo commented on 2016-08-13 03:51

@Dawa: The last line is pretty clear: "The 'python-xlib' distribution was not found and is required by ewmh".

Make sure your installation of python-ewmh is up-to-date, and so are its dependencies.

Dawa commented on 2016-08-13 02:21

3.3.8 fails to start, when I try to run it from terminal i get the error seen here: http://pastebin.com/xhYqKMjv